> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/contact/add-or-update-contact-note.md).

# Add or Update Contact Note

## Add or Update Contact Note

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/contact?action=addOrUpdateContactNote`

Add or update contact note details

#### Request Body

| Name      | Type    | Description                                                |
| --------- | ------- | ---------------------------------------------------------- |
| id        | integer | The contact note's identifier. (Leave empty to add new)    |
| contactId | integer | The unique identifier of the contact to which note belongs |
| noteText  | string  | The discription of the note                                |

{% tabs %}
{% tab title="200 " %}

```
{
  "success": true
  "id":33884
}
```

{% endtab %}
{% endtabs %}

## Example Request: Adding a contact note

```javascript
{
    "contactId": 2,
    "noteText": "test note",
}
```

## Returns

| Property | Description                                           |
| -------- | ----------------------------------------------------- |
| success  | If the contact note was successfully added or updated |
| id       | The unique identifier for the contact note            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/contact/add-or-update-contact-note.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
